Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.login
Class LoginAction

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.login.LoginAction

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<LoginResult>, net.customware.gwt.dispatch.shared.Action<LoginResult>

    public class LoginAction

extends java.lang.Object
implements OSAction<LoginResult>

TODO Give a useful description of the type.

©2013 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`LoginAction(java.lang.String user, java.lang.String password)`
`LoginAction(java.lang.String user, java.lang.String password, boolean isUserInfo)`

Method Summary
`java.lang.String` | `getPassword()` TODO Describe this method
`java.lang.String` | `getUser()` TODO Describe this method
`boolean` | `isUserInfo()` TODO Describe this method
`void` | `setPassword(java.lang.String password)` TODO Describe this method
`void` | `setUser(java.lang.String user)` TODO Describe this method
`void` | `setUserInfo(boolean isUserInfo)` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginAction

    public LoginAction(java.lang.String user,
                       java.lang.String password,
                       boolean isUserInfo)

### LoginAction

    public LoginAction(java.lang.String user,
                       java.lang.String password)

Method Detail

### isUserInfo

    public boolean isUserInfo()

  TODO Describe this method

  Returns:
    Returns the isUserInfo.

### setUserInfo

    public void setUserInfo(boolean isUserInfo)

  TODO Describe this method

  Parameters:
    `isUserInfo` - The isUserInfo to set.

### getUser

    public java.lang.String getUser()

  TODO Describe this method

  Returns:
    Returns the user.

### setUser

    public void setUser(java.lang.String user)

  TODO Describe this method

  Parameters:
    `user` - The user to set.

### getPassword

    public java.lang.String getPassword()

  TODO Describe this method

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  TODO Describe this method

  Parameters:
    `password` - The password to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.